logo NFI logo SMART Research BV
Escolha seu idioma: English Español Français Português 中文(简体) 日本語 Русский
logo
shadow
Requisitos do sistema
Hardware do servidor

As especificações de hardware requeridas para correr o sistema Bonaparte dependem do volume de identificações que seja necessário levar a cabo; quanto maior o número de vítimas, maior será a quantidade de memória necessária (cerca de 2,5 GB por cada milhão de perfis). De igual forma, quanto maior o número de emparelhamentos que seja necessário computar, maior será o tempo de processamento (em cujo caso será aconselhável dispor de uma unidade central de processamento (CPU) mais veloce e/ou com multíplices núcleos). Visto que o sistema Bonaparte foi desenvolvido em Java, pode ser executado em qualquer sistema que suporte Java (Enterprise Edition). Como tal, o sistema Bonaparte pode ser executado em qualquer equipamento, desde um singelo Pentium 4 até à mais recente CPU para uso em servidores. Naturalmente, o tempo de processamento será tanto mais longo quanto mais lento for o hardware.

A fim de providenciar uma ideia de aquilo que será necessário para executar o sistema Bonaparte a velocidades aceitáveis, arrolamos, na tabela que se segue, as especificações de hardware para construir um sistema capaz de manejar milhares de vítimas.

CPU CPU Intel Xeon da série X5600 com seis núcleos
RAM 12GB
Capacidade de armazenamento em disco RAID com 2x 500 GB
Largura de banda da conexão de rede 100Mb/s
Como será óbvio, a capacidade de armazenamento em disco e a RAM necessárias dependerão do tamanho da base de dados em uso e do facto a referida base de dados correr ou não na mesma máquina que o núcleo computacional. Em geral, o núcleo usa cerca de 2,5 GB de RAM por milhão de perfis.
Software

O sistema Bonaparte pode ser executado em qualquer sistema operativo, desde que o mesmo suporte Java. Tal significa que pode ser executado em Unix, Linux e Windows. Os nossos sistemas fazem uso das variantes de 64 bits do FreeBSD Unix ou do Linux Ubuntu. Além do sistema operativo, serão necessários alguns outros programas. A tabela que se segue lista os programas obrigatórios.

Sistema operativo FreeBSD/Ubuntu 64 bit
Java última revisão
Apache Tomcat 7, última revisão
MySQL 5.0 latest revision

Alguns programas administrativos (tais como o SSH, o phpMyAdmin e um cliente MySQL) poderão ser de conveniência durante os processos de instalação ou manutenção.

agosto 29 2014, 09:24:15 / 7fb22367ba1641316d6caeead69c48325a06fb4c
EnglishEnglish EspañolEspañol FrançaisFrançais PortuguêsPortuguês 中文(简体)中文(简体) 日本語日本語 РусскийРусский
SMART Research BV • Heyendaalseweg 135 • 6525 AJ Nijmegen • The Netherlands EU flag Cookies